FEVER-COMPLETION-ZSH(1)

NAME

fever-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS

fever completion zsh [flags]

DESCRIPTION

Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

    source <(fever completion zsh)

To load completions for every new session, execute once:

  Linux:
    fever completion zsh > "${fpath[1]}/_fever"

  macOS:
    fever completion zsh > $(brew --prefix)/share/zsh/site-functions/_fever

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is $HOME/.fever.yaml)

--mgmt-host=""
    hostname:port definition for management server

--mgmt-network="tcp"
    network (tcp/udp) definition for management server

--mgmt-socket="/tmp/fever-mgmt.sock"
    Socket path for management server

SEE ALSO

fever-completion(1)